package com.cedarsoft.spring.rcp.binding;

import com.cedarsoft.history.History;
import com.cedarsoft.history.HistoryEntry;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;
import org.springframework.binding.form.FormModel;
import org.springframework.richclient.form.binding.support.AbstractBinding;

import javax.swing.JComponent;

/**
 * Binds a history
 *
 * @param <H> the history type
 * @param <E> the type the history contains
 */
@Deprecated
public class HistoryBinding<H extends History<E>, E extends HistoryEntry> extends AbstractBinding {
  @NotNull
  private final HistoryPanel<E> historyPanel;

  public HistoryBinding( @NotNull Class<H> historyType, @NotNull HistoryPanel<E> historyPanel, @NotNull FormModel formModel, @NotNull @NonNls String formPropertyPath ) {
    super( formModel, formPropertyPath, historyType );
    this.historyPanel = historyPanel;
  }

  @Override
  protected JComponent doBindControl() {
    historyPanel.setHistory( getValue() );
    return historyPanel;
  }

  @Override
  protected History<E> getValue() {
    return ( History<E> ) super.getValue();
  }

  @Override
  protected void readOnlyChanged() {
  }

  @Override
  protected void enabledChanged() {
  }
}