package com.cedarsoft.spring.rcp.conversion;

import org.springframework.binding.convert.ConversionContext;
import org.springframework.binding.convert.support.ConversionServiceAwareConverter;

import java.util.Date;

/**
 *
 */
public class DateToLongConverter extends ConversionServiceAwareConverter {
  @Override
  protected Object doConvert( Object source, Class targetClass, ConversionContext context ) throws Exception {
    if ( source == null ) {
      return 0;
    }

    return ( ( Date ) source ).getTime();
  }

  @Override
  public Class[] getSourceClasses() {
    return new Class[]{Date.class};
  }

  @Override
  public Class[] getTargetClasses() {
    return new Class[]{Long.class};
  }
}
