package com.cedarsoft.spring.rcp.table;

import org.jetbrains.annotations.NotNull;

import javax.swing.JTable;

/**
 * Callback that configures a table
 */
public interface TableConfigurer {
  /**
   * Is called when the table has been created
   *
   * @param table the table that has been created
   */
  void configure( @NotNull JTable table );
}