package com.cedarsoft.spring.rcp.table.renderer;

import com.cedarsoft.spring.rcp.table.renderer.AbstractTableCellRenderer;
import org.jetbrains.annotations.NotNull;
import org.joda.time.LocalDate;
import org.joda.time.format.DateTimeFormat;

/**
 *
 */
public class LocalDateTableCellRenderer extends AbstractTableCellRenderer<LocalDate> {
  public LocalDateTableCellRenderer() {
    super( LocalDate.class );
  }

  @Override
  @NotNull
  protected String format( @NotNull LocalDate object ) {
    return DateTimeFormat.shortDate().print( object );
  }
}
