package com.cedarsoft.spring.rcp.tbpanel.aspects;

import com.cedarsoft.spring.rcp.tbpanel.ObjectTablePanel;
import org.jetbrains.annotations.NotNull;

/**
 * Special aspect for a table based panel.
 * An aspect may contain several extensions for the panel.
 */
public interface ObjectTablePanelAspect<T> {
  /**
   * Apply this aspect to the panel
   *
   * @param panel the panel
   */
  void apply( @NotNull ObjectTablePanel<T> panel );
}
