package com.cedarsoft.utils.springrcp.renderer;

import org.springframework.context.support.MessageSourceAccessor;
import org.springframework.richclient.application.ApplicationServicesLocator;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import java.awt.Component;

/**
 * <p/>
 * Date: 28.08.2006<br>
 * Time: 14:01:15<br>
 *
 * @author <a href="http://johannes-schneider.info">Johannes Schneider</a> -
 *         <a href="http://www.xore.de">Xore Systems</a>
 * @deprecated use {@link com.cedarsoft.spring.rcp.table.renderer.EnumTableCellRenderer} instead
 */
@Deprecated
public class EnumCellRenderer extends DefaultTableCellRenderer {
  private final MessageSourceAccessor messageSourceAccessor;

  public EnumCellRenderer() {
    messageSourceAccessor = ( MessageSourceAccessor ) ApplicationServicesLocator.services().getService( MessageSourceAccessor.class );
  }

  @Override
  public Component getTableCellRendererComponent( JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column ) {
    super.getTableCellRendererComponent( table, value, isSelected, hasFocus, row, column );

    Enum<?> valueEnum = ( Enum ) value;
    Class<?> valueClass = value.getClass();

    String description = messageSourceAccessor.getMessage( valueClass.getName() + '.' + valueEnum.name() );
    setText( description );
    return this;
  }
}
