package com.cedarsoft.utils.springrcp.renderer;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import java.awt.Component;
import java.awt.geom.Rectangle2D;

/**
 * <p/>
 * Date: 26.09.2006<br>
 * Time: 14:41:14<br>
 *
 * @author <a href="http://johannes-schneider.info">Johannes Schneider</a> -
 *         <a href="http://www.xore.de">Xore Systems</a>
 */
public class Rectangle2DTableCellRenderer extends DefaultTableCellRenderer {
  @Override
  public Component getTableCellRendererComponent( JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column ) {
    super.getTableCellRendererComponent( table, value, isSelected, hasFocus, row, column );

    Rectangle2D rect = ( Rectangle2D ) value;
    setText( rect.getX() + "/" + rect.getY() + " " + rect.getWidth() + "/" + rect.getHeight() );
    return this;
  }

}
