package com.cedarsoft.spring.rcp.commands;

import org.springframework.richclient.wizard.Wizard;
import org.jetbrains.annotations.NotNull;

/**
 * Creates a wizard
 *
 * @param <W> the type of the wizard
 */
public interface WizardFactory<W extends Wizard> {
  /**
   * Creates the wizard
   *
   * @return the wizard
   */
  @NotNull
  W createWizard();
}