package com.cedarsoft.spring.rcp.exception;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jetbrains.annotations.NotNull;
import org.springframework.richclient.exceptionhandling.AbstractRegisterableExceptionHandler;

/**
 *
 */
public class IgnoringExceptionHandlerDelegate extends AbstractRegisterableExceptionHandler {
  @NotNull
  private static final Log log = LogFactory.getLog( IgnoringExceptionHandlerDelegate.class );

  @Override
  public void uncaughtException( Thread t, Throwable e ) {
    log.info( "Ignoring exception: " + e.getClass().getName() + ": " + e.getMessage() );
  }
}
