package com.cedarsoft.spring.rcp.selection;

import com.cedarsoft.lookup.Lookup;
import org.jetbrains.annotations.NotNull;

/**
 * Change listener that is notified when the selection has been changed
 */
public interface SelectionChangeListener {
  /**
   * Is called if the selected objects have been changed
   *
   * @param selectedObjects the selected objects
   */
  void selectionChanged( @NotNull Lookup selectedObjects );
}