package com.cedarsoft.spring.rcp.table.renderer;

import org.jetbrains.annotations.NotNull;
import org.joda.time.LocalTime;
import org.joda.time.format.DateTimeFormat;

/**
 *
 */
public class LocalTimeTableCellRenderer extends AbstractTableCellRenderer<LocalTime> {
  public LocalTimeTableCellRenderer() {
    super( LocalTime.class );
  }

  @Override
  @NotNull
  protected String format( @NotNull LocalTime object ) {
    return DateTimeFormat.shortTime().print( object );
  }
}