package com.cedarsoft.spring.rcp.tbpanel;

import com.cedarsoft.spring.rcp.table.ExtendedObjectTable;
import com.cedarsoft.spring.rcp.table.ObjectTable;
import org.jetbrains.annotations.NotNull;

import javax.swing.JPanel;

/**
 * filter factory
 *
 * @param <T> the type
 */
public interface FilterFactory<T> {
  /**
   * Creates the filter panel
   *
   * @param objectTable the object table
   * @return the filter panel
   */
  @NotNull
  JPanel createFilterPanel( @NotNull ObjectTable<T> objectTable );
}