package com.cedarsoft.utils.springrcp.beanlist;

import org.jetbrains.annotations.NotNull;

/**
 * <p/>
 * Date: 21.08.2006<br>
 * Time: 15:02:51<br>
 *
 * @author <a href="http://johannes-schneider.info">Johannes Schneider</a> -
 *         <a href="http://www.xore.de">Xore Systems</a>
 */
public abstract class AbstractBeanManager<T> implements BeanManager<T> {
  private final Class<T> type;

  protected AbstractBeanManager( @NotNull Class<T> type ) {
    this.type = type;
  }

  @NotNull
  public Class<T> getType() {
    return type;
  }
}
